POST/api/v4/locations/reviews/respond/archive

답글 보관

기존 소유자 답글을 보관하여 상호작용에서 추적하는 활성 답글 목록에서 제거합니다.

API 키가 필요합니다. 헤더 형식과 키 교체는 인증을 참고하세요.

매개변수

본문

이름유형필수설명
responseIdstring필수ID of the response to archive (the `id` from an interaction's `responses` array).

요청 예시

바로 붙여 넣을 수 있는 본문입니다. 예시 ID와 값을 실제 값으로 바꾸세요.

Request body
{  "responseId": "2090753a-ece6-4837-8336-8494ad308523"}

응답

200Response archived. `data.archiveResponse.status` is `"true"` on success.
Response
{  "data": {    "archiveResponse": {      "status": "true"    }  }}
401Unauthenticated, missing or invalid API key.

상호작용에 이전에 게시한 답글을 보관합니다. 보관은 Listings API의 로컬 캐시에서 수행하는 소프트 삭제로, 상호작용에서 추적하는 responses에서 답글을 제거하지만 원본 플랫폼에서는 답글을 삭제하지 않습니다. Google, Yelp 또는 Facebook에 이미 게시된 답글은 해당 플랫폼에 그대로 공개되어 있습니다.

ID로 상호작용 조회 또는 상호작용 목록 조회를 통해 상호작용의 responses[].id에서 responseId를 가져옵니다.

사용 사례: 다른 답글로 대체된 초안 답글 정리

답글이 실수로 생성되었거나 게시되기 전에 다른 답글로 대체된 경우, 해당 답글을 보관하여 대시보드에서 상호작용의 responses 목록을 깔끔하게 유지하고 responded 플래그가 정확하게 표시되도록 합니다:

JSON
{  "responseId": "2090753a-ece6-4837-8336-8494ad308523"}

보관해도 게시 플랫폼에서 답글이 제거되지 않으므로, 원본 사이트에 이미 공개된 답글의 문구를 변경하려면 대신 답글 수정을 사용합니다.

Request
curl -X POST 'https://listingsapi.com/api/v4/locations/reviews/respond/archive' \  -H "Authorization: API $LISTINGSAPI_KEY" \  -H 'Content-Type: application/json' \  -d '{    "responseId": "2090753a-ece6-4837-8336-8494ad308523"  }'